//
//  MO_ProjectItem.h
//  DG
//
//  Created by Mark Brindle on 11/07/2011.
//  Copyright (c) 2011 ARKEMM Software Limited. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <CoreData/CoreData.h>
#import "BaseMO.h"

@class MO_Project, MO_Timecard;

@interface MO_ProjectItem : BaseMO {
@private
}
@property (nonatomic, retain) NSNumber * budget;
@property (nonatomic, retain) NSNumber * rate;
@property (nonatomic, retain) MO_Project *project;
@property (nonatomic, retain) NSSet *timecards;
@end

@interface MO_ProjectItem (CoreDataGeneratedAccessors)

- (void)addTimecardsObject:(MO_Timecard *)value;
- (void)removeTimecardsObject:(MO_Timecard *)value;
- (void)addTimecards:(NSSet *)values;
- (void)removeTimecards:(NSSet *)values;
@end
