//
//  MO_Project.h
//  DG
//
//  Created by Mark Brindle on 11/07/2011.
//  Copyright (c) 2011 ARKEMM Software Limited. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <CoreData/CoreData.h>
#import "BaseMO.h"

@class MO_ProjectItem;

@interface MO_Project : BaseMO {
@private
}
@property (nonatomic, retain) NSNumber * totalBudget;
@property (nonatomic, retain) NSNumber * defaultRate;
@property (nonatomic, retain) NSSet *projectItems;
@end

@interface MO_Project (CoreDataGeneratedAccessors)

- (void)addProjectItemsObject:(MO_ProjectItem *)value;
- (void)removeProjectItemsObject:(MO_ProjectItem *)value;
- (void)addProjectItems:(NSSet *)values;
- (void)removeProjectItems:(NSSet *)values;
@end
